from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XRowId(Protocol):
    def equals(self, x: inany) -> bool: ...
    def getBytes(self) -> list[int]: ...
    def hashCode(self) -> int: ...
    def toString(self) -> str: ...
